This is an automated email from the ASF dual-hosted git repository.
felixybw pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/incubator-gluten.git
The following commit(s) were added to refs/heads/main by this push:
new fbb63d250b [VL] Skip the velox download if velox_branch not exists
(#8682)
fbb63d250b is described below
commit fbb63d250bc82ee498224a68dd23eb85bb73fd97
Author: BInwei Yang <[email protected]>
AuthorDate: Tue Feb 11 09:19:47 2025 -0800
[VL] Skip the velox download if velox_branch not exists (#8682)
When velox_home is specified and velox_repo:velox_branch doesn't exists, it
means user prepared the customized Velox. We can skip the velox download and
continue the build. It's user's responsibility to make sure the velox has
correct version.
The PR served 2 purpose:
User can skip the automatic Velox download if they prepared customized
velox and use a fake velox_branch
User can't access the velox_repo for some reason and would like to prepare
the velox source code by themselves
---
ep/build-velox/src/get_velox.sh | 19 +++++++++++++------
1 file changed, 13 insertions(+), 6 deletions(-)
diff --git a/ep/build-velox/src/get_velox.sh b/ep/build-velox/src/get_velox.sh
index 5b094136d5..e47a72d84a 100755
--- a/ep/build-velox/src/get_velox.sh
+++ b/ep/build-velox/src/get_velox.sh
@@ -150,18 +150,25 @@ TARGET_BUILD_COMMIT="$(git ls-remote $VELOX_REPO
$VELOX_BRANCH | awk '{print $1;
if [ -d $VELOX_SOURCE_DIR ]; then
echo "Velox source folder $VELOX_SOURCE_DIR already exists..."
cd $VELOX_SOURCE_DIR
- git init .
- EXISTS=$(git show-ref refs/tags/build_$TARGET_BUILD_COMMIT || true)
- if [ -z "$EXISTS" ]; then
- git fetch $VELOX_REPO
$TARGET_BUILD_COMMIT:refs/tags/build_$TARGET_BUILD_COMMIT
+ # if velox_branch exists, check it out,
+ # otherwise assume that user prepared velox source in velox_home, skip
checkout
+ if [ -n "$TARGET_BUILD_COMMIT" ]; then
+ git init .
+ EXISTS=$(git show-ref refs/tags/build_$TARGET_BUILD_COMMIT || true)
+ if [ -z "$EXISTS" ]; then
+ git fetch $VELOX_REPO
$TARGET_BUILD_COMMIT:refs/tags/build_$TARGET_BUILD_COMMIT
+ fi
+ git reset --hard HEAD
+ git checkout refs/tags/build_$TARGET_BUILD_COMMIT
+ else
+ echo "$VELOX_BRANCH can't be found in $VELOX_REPO, skipping the
download..."
fi
- git reset --hard HEAD
- git checkout refs/tags/build_$TARGET_BUILD_COMMIT
else
git clone $VELOX_REPO -b $VELOX_BRANCH $VELOX_SOURCE_DIR
cd $VELOX_SOURCE_DIR
git checkout $TARGET_BUILD_COMMIT
fi
+
#sync submodules
git submodule sync --recursive
git submodule update --init --recursive
---------------------------------------------------------------------
To unsubscribe, e-mail: [email protected]
For additional commands, e-mail: [email protected]